Name:           javapackages-tools
Version:        0.12.0
Release:        %mkrel 2
Summary:        Macros and scripts for Java packaging support
Group:          Development/Java

License:        BSD
URL:            https://fedorahosted.org/javapackages/
Source0:        https://fedorahosted.org/released/javapackages/javapackages-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  jpackage-utils

Requires:       xsltproc
Requires:       python

Requires:       jpackage-utils
Conflicts:      jpackage-utils < 1.7.5-17

%description
This package provides macros and scripts to support Java packaging.

%package -n maven-local
Summary:        Macros and scripts for Maven packaging support
Requires:       %{name} = %{version}-%{release}
Requires:       maven
Requires:       xmvn
# POM files needed by maven itself
Requires:       apache-commons-parent
Requires:       apache-parent
Requires:       httpcomponents-project
Requires:       jboss-parent
Requires:       maven-parent
Requires:       maven-plugins-pom
Requires:       mojo-parent
Requires:       plexus-components-pom
Requires:       plexus-pom
Requires:       plexus-tools-pom
Requires:       sonatype-oss-parent
# Common Maven plugins required by almost every build. It wouldn't make
# sense to explicitly require them in every package built with Maven.
Requires:       maven-compiler-plugin
Requires:       maven-jar-plugin
Requires:       maven-javadoc-plugin
Requires:       maven-surefire-plugin
# Tests based on JUnit are very common and JUnit itself is small.
# Include JUnit provider for Surefire just for convenience.
Requires:       maven-surefire-provider-junit

%description -n maven-local
This package provides macros and scripts to support packaging Maven artifacts.


%prep
%setup -q -n javapackages-%{version}

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}-utils
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/rpm
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/maven
install -d -m 755 $RPM_BUILD_ROOT%{_rpmconfigdir}/fileattrs

install -p -m 755 depgenerators/maven.prov $RPM_BUILD_ROOT%{_rpmconfigdir}
install -p -m 755 depgenerators/maven.req $RPM_BUILD_ROOT%{_rpmconfigdir}
install -p -m 755 depgenerators/osgi.prov $RPM_BUILD_ROOT%{_rpmconfigdir}
install -p -m 755 depgenerators/osgi.req $RPM_BUILD_ROOT%{_rpmconfigdir}
install -p -m 755 depgenerators/javadoc.req $RPM_BUILD_ROOT%{_rpmconfigdir}
# Add the maven poms file attribute entry (rpm >= 4.9.0)
install -p -m 644 depgenerators/fileattrs/maven.attr $RPM_BUILD_ROOT%{_rpmconfigdir}/fileattrs
install -p -m 644 depgenerators/fileattrs/osgi.attr $RPM_BUILD_ROOT%{_rpmconfigdir}/fileattrs
install -p -m 644 depgenerators/fileattrs/javadoc.attr $RPM_BUILD_ROOT%{_rpmconfigdir}/fileattrs

install -p -m 644 macros.* $RPM_BUILD_ROOT%{_sysconfdir}/rpm
install -p -m 644 metadata/*.xml $RPM_BUILD_ROOT%{_sysconfdir}/maven
install -p -m 644 scripts/maven_depmap.py $RPM_BUILD_ROOT%{_javadir}-utils
install -p -m 644 scripts/pom_editor.sh $RPM_BUILD_ROOT%{_javadir}-utils
install -p -m 755 scripts/mvn-* $RPM_BUILD_ROOT%{_bindir}

rm -f $RPM_BUILD_ROOT%{_bindir}/mvn-{local,rpmbuild}

# Ugly as hell, but Eclipse relocated various artifacts under
# their own groupId. We need to fix this globally.
# FIXME: this should be moved to respective packages
%add_to_maven_depmap org.eclipse.jetty.orbit javax.servlet any JPP tomcat-servlet-3.0-api
%add_to_maven_depmap org.eclipse.jetty.orbit javax.security.auth.message any JPP geronimo-jaspic-spec
%add_to_maven_depmap org.eclipse.jetty.orbit javax.mail.glassfish any JPP/javamail mail
%add_to_maven_depmap org.eclipse.jetty.orbit javax.transaction any JPP geronimo-jta
%add_to_maven_depmap org.eclipse.jetty.orbit javax.annotation any JPP geronimo-annotation
%add_to_maven_depmap org.eclipse.jetty.orbit org.objectweb.asm any JPP/objectweb-asm asm-all
%add_to_maven_depmap org.eclipse.jetty.orbit javax.servlet.jsp any JPP tomcat-jsp-api
%add_to_maven_depmap org.eclipse.jetty.orbit org.apache.jasper.glassfish any JPP glassfish-jsp
%add_to_maven_depmap org.eclipse.jetty.orbit javax.servlet.jsp.jstl any JPP taglibs-core
%add_to_maven_depmap org.eclipse.jetty.orbit org.apache.taglibs.standard.glassfish any JPP taglibs-standard
%add_to_maven_depmap org.eclipse.jetty.orbit javax.el any JPP tomcat-el-2.2-api
%add_to_maven_depmap org.eclipse.jetty.orbit com.sun.el any JPP tomcat-el-2.2-api
%add_to_maven_depmap org.eclipse.jetty.orbit org.eclipse.jdt.core any JPP/eclipse jdt.core


%files
%doc LICENSE
%{_rpmconfigdir}/fileattrs/*.attr
%{_rpmconfigdir}/*.prov
%{_rpmconfigdir}/*.req
# The python file is compiled producing .pyc and .pyo, which we need to include
%{_javadir}-utils/maven_depmap.py*
%{_javadir}-utils/pom_editor.sh
%config(noreplace) %{_sysconfdir}/rpm/macros.fjava

%files -n maven-local
%{_mavendepmapfragdir}/%{name}
%config(noreplace) %{_sysconfdir}/rpm/macros.xmvn
%config(noreplace) %{_sysconfdir}/maven/*.xml
%{_bindir}/mvn-*




%changelog

* Tue Feb 19 2013 dmorgan <dmorgan> 0.12.0-2.mga3
+ Revision: 399298
- Fix conflict with maven

* Tue Feb 19 2013 dmorgan <dmorgan> 0.12.0-1.mga3
+ Revision: 399281
- Fix release to 1

* Tue Feb 19 2013 dmorgan <dmorgan> 0.12.0-0.mga3
+ Revision: 399275
- New version
- New version 0.10.0

* Sat Jan 12 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 354844
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 0.8.0-1.mga3
+ Revision: 324009
- New version ( add maven-local package)

* Mon Sep 10 2012 dmorgan <dmorgan> 0.6.0-1.mga3
+ Revision: 291860
- Update to upstream version 0.6.0
- Make maven provides versioned
- Add additional pom_ macros to simplify additional pom editing

* Sun Jul 08 2012 dmorgan <dmorgan> 0.4.0-3.mga3
+ Revision: 268933
- Fix again conflict with rpm

* Sun Jul 08 2012 dmorgan <dmorgan> 0.4.0-2.mga3
+ Revision: 268929
- Remove wrong require

* Sun Jul 08 2012 dmorgan <dmorgan> 0.4.0-1.mga3
+ Revision: 268924
- New version

* Tue Jun 12 2012 dmorgan <dmorgan> 0.3.1-1.mga3
+ Revision: 260022
- imported package javapackages-tools


* Tue Mar  6 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.1-1
- Create maven provides from fragments instead of poms

* Thu Feb 16 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.0-3
- Fix maven_depmap installation

* Wed Feb 15 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.0-2
- Add conflicts with older jpackage-utils

* Wed Feb 15 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.0-1
- Initial version split from jpackage-utils

